com.independentsoft.exchange

## Class UnindexedPropertyPath

- java.lang.Object
- - com.independentsoft.exchange.PropertyPath
  - - com.independentsoft.exchange.UnindexedPropertyPath

-     public class UnindexedPropertyPath
      extends PropertyPath

  Identifies frequently referenced properties by URI.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnindexedPropertyPath()` Initializes a new instance of the UnindexedPropertyPath class.
    `UnindexedPropertyPath(java.lang.String uri)` Initializes a new instance of the UnindexedPropertyPath class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getUri()` Gets the URI of the property.
    `void` | `setUri(java.lang.String uri)` Sets the URI of the property.
    `java.lang.String` | `toString()` Converts the value of the current UnindexedPropertyPath object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnindexedPropertyPath

          public UnindexedPropertyPath()

      Initializes a new instance of the UnindexedPropertyPath class.

    - #### UnindexedPropertyPath

          public UnindexedPropertyPath(java.lang.String uri)

      Initializes a new instance of the UnindexedPropertyPath class.
      Parameters:
        `uri` - the uri

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current UnindexedPropertyPath object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getUri

          public java.lang.String getUri()

      Gets the URI of the property.
      Returns:
        the uri

    - #### setUri

          public void setUri(java.lang.String uri)

      Sets the URI of the property.
      Parameters:
        `uri` - the new uri